<?php
require'fun.php';
$titlu='Schimbă numele';
$back[1]='<a href="/setari">'.img('setari.png',2).'Setări</a>';
require'f_sus.php';
$nume=ucfirst(mb_strtolower($_POST['nume']));
if($conn->query('SELECT COUNT(*)FROM`istoric_nume`WHERE`de`="'.$de.'"&&`valid`>0')->fetch_row()[0]>0)
{
$timp=$conn->query('SELECT`data`FROM`istoric_nume`WHERE`de`="'.$de.'"ORDER BY`id`DESC LIMIT 1')->fetch_row()[0]+(7*86400);
require'f_ramas.php';
$potimsg=ramas($timp-$_SERVER['REQUEST_TIME']);
}
else
$timp=1;
require'f_verifica_nume.php';
if($nume=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai scris nimic, trebuie să completezi acel camp!';
elseif(preg_match('/[^a-z0-9ăâîșțşţ_-]/i',$nume))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Poti folosi DOAR literele <strong>A-Za-z</strong>, diacriticile <strong>ĂăÂâÎîȘșȚțŞşŢţ</strong>, numerele <strong>0-9</strong> sau caracterele _ și - în noul nume!'.$div[0];
elseif(preg_match('/[^a-z]/i',$nume[0]))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Noul nume trebuie să înceapă cu o litera <strong>A-Za-z</strong>!'.$div[0];
elseif(preg_match('/[^a-z0-9]/i',$nume[-1]))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Noul nume trebuie să se încheie cu o litera <strong>A-Za-z</strong> sau o cifră <strong>0-9</strong>!'.$div[0];
elseif(verifica_nume($nume)==1)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Numele <strong>'.$nume.'</strong> este rezervat!';
elseif(verifica_nume($nume)==2)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Numele <strong>'.$nume.'</strong> este blocat pentru înregistrare!';
elseif($timp>$_SERVER['REQUEST_TIME'])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Poti schimba numele o data la 7 zile!<br />Urmatoarea schimbare a numelui o poți face peste <strong>'.$potimsg.'</strong>'.$div[0];
elseif($conn->query('SELECT COUNT(*)FROM`membrii`WHERE`nume`="'.$nume.'"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest nume este ales de alt membru, alege altul!'.$div[0];
elseif($conn->query('SELECT COUNT(*)FROM`istoric_nume`WHERE`de`="'.$de.'"&&`valid`="0"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai trimis o cerere de schimbare a numelui!'.$div[0];
else
{
echo$div[10].'Esti sigur ca dorești să-ți schimbi numele in<br /><strong>'.$nume.'</strong>?<br />Verifica cu atenție ca noul nume să fie scris exact cum dorești, deoarece urmatoarea schimbare o mai poți face peste 7 zile!'.$div[0].$div[1];
$form[0]='/salveaza-nume" method="post';
$form[1]=0;
$form[2]='<input type="hidden" name="nume" value="'.$nume.'" />';
$form[3]='nume';
$form[4]='Da, sunt sigur';
$form[5]=1;
require'f_form.php';
echo'<strong> - </strong><a href="/schimba-nume">Nu, vreau alt nume!</a>'.$div[0];
}
require'f_jos.php';